#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QFileSystemModel>
#include <QSplitter>
#include <QTreeView>
#include <QListView>
#include <QVBoxLayout>
#include <QDir>



MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui{new Ui::MainWindow},
    tree {new QTreeView},
    list {new QListView},
    model {new QFileSystemModel},
    splitter {new QSplitter},
    layout {new QVBoxLayout}
{
    ui->setupUi(this);

    model->setRootPath(QDir::rootPath());
    tree->setRootIndex(model->index(QDir::rootPath()));
    list->setRootIndex(model->index(QDir::rootPath()));

    tree->setModel(model);
    list->setModel(model);

    splitter->addWidget(tree);
    splitter->addWidget(list);

    layout->addWidget(splitter);


    ui->centralWidget->setLayout(layout);

    connect(tree, SIGNAL(clicked(QModelIndex)),
            this, SLOT(OnTreeClicked(QModelIndex)));
}

MainWindow::~MainWindow()
{
    delete ui;
    delete model;
}

void MainWindow::OnTreeClicked(QModelIndex model)
{
    list->setRootIndex(tree->currentIndex());
}
